cog-bump(1)

NAME
cog-bump - Commit changelog from latest tag to HEAD and create new tag

SYNOPSIS
cog-bump [--version] [-a|--auto] [-M|--major] [-m|--minor] [-p|--patch] [--pre] [--build] [-H|--hook-profile] [--package] [-A|--annotated] [-d|--dry-run] [--skip-ci] [--skip-ci-override] [--skip-untracked] [--disable-bump-commit] [-h|--help]

DESCRIPTION
Commit changelog from latest tag to HEAD and create new tag

OPTIONS

--version=VERSION
    Manually set the target version

-a, --auto
    Automatically suggest the target version

-M, --major
    Increment the major version

-m, --minor
    Increment the minor version

-p, --patch
    Increment the patch version

--pre=PRE
    Set the pre-release version

--build=BUILD
    Set the build suffix

-H, --hook-profile=HOOK_PROFILE
    Specify the bump profile hooks to run

--package=PACKAGE
    Specify which package to bump for monorepo

-A, --annotated=ANNOTATED
    Annotate tag with given message

-d, --dry-run
    Dry-run: print the target version. No action taken

--skip-ci
    Add the skip-ci string defined in the cog.toml (or defaults to [skip ci]) to the bump commit

--skip-ci-override=SKIP_CI_OVERRIDE
    Override and add the skip-ci string with the provided value to the bump commit

--skip-untracked
    Don't fail if there are untracked or uncommitted files

--disable-bump-commit
    Disable the creation of the bump commit

-h, --help
    Print help